| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::UserObjectBindings Class Reference
Core » Scene

Class that provides convenient interface to establish a linkage between custom user application objects and Ogre core classes. More...

`#include <OgreUserObjectBindings.h>`

Inheritance diagram for Ogre::UserObjectBindings:
[legend]

## Public Member Functions
| UserObjectBindings ()=default
| UserObjectBindings (const UserObjectBindings &other)
| Copy constructor. More...
void | clear ()
| Clear all user objects from this binding. More...
void | eraseUserAny (const String &key)
| Erase the custom user object associated with this class and key from this binding. More...
const Any & | getUserAny (void) const
| Retrieves the custom key less user object associated with this class. More...
const Any & | getUserAny (const String &key) const
| Retrieves the custom user object associated with this class and key. More...
UserObjectBindings & | operator= (const UserObjectBindings &rhs)
void | setUserAny (const Any &anything)
| Sets any kind of user object on this class instance. More...
void | setUserAny (const String &key, const Any &anything)
| Sets any kind of user object on this class instance. More...
UserObjectBindings & | swap (UserObjectBindings &rhs)

## Detailed Description

Class that provides convenient interface to establish a linkage between custom user application objects and Ogre core classes.

Any instance of Ogre class that will derive from this class could be associated with custom application object using this class interface.

## Constructor & Destructor Documentation

## ◆ UserObjectBindings() [1/2]

Ogre::UserObjectBindings::UserObjectBindings | ( |  | ) |
| default

## ◆ UserObjectBindings() [2/2]

Ogre::UserObjectBindings::UserObjectBindings | ( | const UserObjectBindings & | other | ) |

Copy constructor.

Performs a copy of all stored UserAny.

## Member Function Documentation

## ◆ setUserAny() [1/2]

void Ogre::UserObjectBindings::setUserAny | ( | const Any & | anything | ) |

Sets any kind of user object on this class instance.

Remarks
  This method allows you to associate any user object you like with this class. This can be a pointer back to one of your own classes for instance.

Note
  This method is key less meaning that each call for it will override previous object that were set. If you need to associate multiple objects with this class use the extended version that takes key.

## ◆ getUserAny() [1/2]

const Any& Ogre::UserObjectBindings::getUserAny | ( | void |  | ) | const

Retrieves the custom key less user object associated with this class.

## ◆ setUserAny() [2/2]

void Ogre::UserObjectBindings::setUserAny | ( | const String & | key,
|  | const Any & | anything
| ) |  |

Sets any kind of user object on this class instance.

Remarks
  This method allows you to associate multiple object with this class. This can be a pointer back to one of your own classes for instance. Use a unique key to distinguish between each of these objects.

Parameters

  key | The key that this data is associate with.
  anything | The data to associate with the given key.

## ◆ getUserAny() [2/2]

const Any& Ogre::UserObjectBindings::getUserAny | ( | const String & | key | ) | const

Retrieves the custom user object associated with this class and key.

Parameters

  key | The key that the requested user object is associated with.

Remarks
  In case no object associated with this key the returned Any object will be empty.

## ◆ eraseUserAny()

void Ogre::UserObjectBindings::eraseUserAny | ( | const String & | key | ) |

Erase the custom user object associated with this class and key from this binding.

Parameters

  key | The key that the requested user object is associated with.

## ◆ clear()

void Ogre::UserObjectBindings::clear | ( |  | ) |

Clear all user objects from this binding.

## ◆ swap()

UserObjectBindings& Ogre::UserObjectBindings::swap | ( | UserObjectBindings & | rhs | ) |
| inline

References std::swap().

Referenced by operator=().

## ◆ operator=()

UserObjectBindings& Ogre::UserObjectBindings::operator= | ( | const UserObjectBindings & | rhs | ) |
| inline

References swap().

The documentation for this class was generated from the following file:

- OgreUserObjectBindings.h